// This file was generated by qlalr - DO NOT EDIT!
#include "table_coolexerio_p.h"

const char *const Table_CooLexerIO::spell [] = {
    "end of file", "New line '\\n'", "Comment", "Word", "Integer number", "Decimal number", "%NOM", "%", "#*OLOC", "#*LEP",
    "#*RS2K", "#*SPHE", "X", "Y", "Z", "H", "N", "SX", "SY", "SZ",
    "DX", "DY", "DZ", "DH", "COVXY", "COVXZ", "COVYZ", "DIRECTION", "LONGUEUR", "ID",
    "DCUM", "OPTION", "%FRAME_NAME", "FRAME_ID", "TX", "TY", "TZ", "RX", "RY", "RZ",
    "SCL", "(TX)", "(TY)", "(TZ)", "(RX)", "(RY)", "(RZ)", "(SCL)", "COORDONNÉES POINTS DE RÉFÉRENCE"
};

const short Table_CooLexerIO::lhs [] = {
    50, 50, 51, 51, 52, 52, 53, 53, 54, 54,
    54, 54, 55, 56, 57, 58, 59, 60, 61, 62,
    63, 64, 65, 66, 67, 68, 69, 70, 71, 72,
    73, 74, 75, 76, 77, 78, 79, 80, 81, 82,
    83, 84, 85, 86, 87, 88, 89, 90, 91, 92,
    93, 94, 95, 96, 97, 98, 99, 100, 101, 102,
    103, 104, 105, 106, 107, 108, 109, 110, 111, 112,
    113, 114, 115, 115, 116, 117, 118, 119, 120, 121,
    122, 123, 124, 125, 126, 126, 127, 128, 49, 49,
    129, 131, 131, 133, 133, 134, 134, 134, 134, 132,
    132, 132, 132, 132, 132, 135, 135, 141, 145, 145,
    142, 142, 146, 146, 143, 144, 144, 147, 136, 148,
    150, 149, 149, 151, 137, 152, 154, 153, 153, 155,
    138, 156, 158, 157, 157, 159, 139, 160, 162, 162,
    162, 162, 161, 161, 163, 163, 163, 163, 140, 164,
    166, 166, 166, 165, 165, 167, 167, 130, 168, 169,
    169, 170, 171
};

const short Table_CooLexerIO::rhs [] = {
    1, 2, 1, 1, 1, 1, 1, 2, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 2, 2, 2, 2, 3, 2, 2,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
    2, 1, 3, 2, 3, 1, 1, 1, 2, 1,
    1, 1, 1, 1, 1, 2, 4, 4, 4, 4,
    2, 3, 4, 1, 4, 2, 3, 8, 2, 4,
    5, 2, 3, 5, 2, 4, 5, 2, 3, 5,
    2, 4, 6, 2, 3, 6, 2, 4, 10, 10,
    10, 10, 2, 3, 10, 16, 7, 7, 2, 4,
    13, 13, 7, 2, 3, 4, 5, 3, 19, 2,
    1, 17, 2
};

const short Table_CooLexerIO::action_default [] = {
    0, 97, 96, 0, 92, 0, 0, 89, 10, 9,
    98, 11, 12, 94, 1, 2, 7, 0, 0, 4,
    3, 6, 5, 95, 8, 93, 163, 91, 102, 0,
    0, 101, 0, 0, 104, 0, 0, 105, 0, 0,
    100, 0, 0, 103, 0, 0, 0, 13, 0, 125,
    74, 0, 73, 128, 0, 129, 75, 0, 76, 0,
    77, 0, 78, 130, 0, 0, 0, 0, 126, 0,
    38, 39, 0, 119, 0, 122, 0, 123, 0, 0,
    0, 124, 0, 0, 120, 0, 137, 0, 143, 0,
    144, 0, 0, 0, 0, 0, 0, 148, 88, 0,
    0, 85, 0, 86, 82, 0, 0, 147, 83, 0,
    84, 0, 87, 0, 145, 0, 19, 79, 0, 0,
    20, 80, 0, 0, 21, 81, 146, 0, 0, 138,
    0, 149, 0, 154, 0, 155, 0, 0, 156, 157,
    0, 0, 150, 0, 106, 114, 111, 0, 0, 0,
    0, 0, 107, 0, 116, 0, 117, 0, 0, 0,
    82, 0, 0, 0, 118, 112, 40, 0, 0, 115,
    0, 0, 113, 0, 0, 108, 0, 131, 0, 134,
    0, 135, 0, 0, 0, 0, 136, 0, 0, 132,
    0, 14, 0, 15, 18, 110, 109, 16, 0, 127,
    26, 17, 22, 0, 23, 0, 25, 24, 0, 0,
    27, 0, 142, 28, 0, 140, 0, 0, 121, 0,
    0, 32, 0, 0, 33, 0, 0, 34, 0, 0,
    0, 0, 0, 0, 0, 0, 152, 37, 36, 35,
    133, 0, 0, 0, 0, 0, 141, 0, 139, 0,
    153, 29, 0, 30, 0, 31, 0, 0, 0, 151,
    90, 0, 0, 41, 0, 161, 158, 0, 57, 160,
    0, 58, 59, 0, 60, 0, 61, 0, 65, 0,
    66, 0, 67, 0, 71, 0, 62, 0, 63, 0,
    64, 0, 68, 0, 69, 0, 70, 0, 72, 0,
    162, 42, 0, 43, 0, 44, 0, 45, 0, 49,
    0, 50, 0, 51, 0, 55, 0, 46, 0, 47,
    0, 48, 0, 52, 0, 53, 0, 54, 0, 56,
    0, 0, 0, 159, 99
};

const short Table_CooLexerIO::goto_default [] = {
    5, 13, 21, 16, 18, 2, 46, 190, 192, 196,
    199, 195, 115, 119, 123, 203, 205, 209, 208, 198,
    211, 212, 252, 254, 256, 217, 223, 226, 228, 230,
    232, 65, 66, 150, 264, 302, 304, 306, 308, 318,
    320, 322, 310, 312, 314, 324, 326, 328, 316, 330,
    267, 270, 273, 275, 277, 287, 289, 291, 279, 281,
    283, 293, 295, 297, 285, 299, 51, 57, 59, 61,
    63, 118, 122, 126, 106, 109, 111, 102, 105, 97,
    7, 260, 6, 27, 4, 3, 40, 31, 28, 43,
    34, 37, 41, 144, 147, 152, 42, 143, 151, 32,
    73, 33, 72, 29, 49, 30, 48, 44, 177, 45,
    176, 35, 86, 36, 85, 38, 131, 39, 130, 262,
    266, 265, 0
};

const short Table_CooLexerIO::action_index [] = {
    228, -49, -49, 110, 248, 88, 107, 238, -49, -49,
    201, -49, -49, 113, -49, -49, -49, 115, 268, -49,
    -49, -49, -49, 116, -49, -1, -49, -49, -49, 171,
    47, -49, 169, 47, -49, 167, 47, -49, 165, 47,
    -49, 173, 47, -49, 163, 47, -10, -49, 47, 157,
    -49, 174, -49, 2, 47, 3, -49, 174, -49, 174,
    -49, 174, -49, -49, 148, 47, 47, 193, 4, 146,
    -49, 190, 47, 140, 174, 5, 47, 6, 174, 174,
    174, -49, 158, 47, 7, 47, 134, 187, 8, 47,
    9, 174, 174, 174, 122, -19, 10, -49, -49, 174,
    132, -49, 174, -49, 11, 12, 179, -49, -49, 174,
    -49, 174, -49, 13, -5, 174, -49, -49, 0, 174,
    -49, -49, -2, 174, -49, -49, -49, 151, 47, 18,
    47, 147, 174, 19, 47, 20, 174, 174, 185, 182,
    138, 47, 21, 47, 196, 125, 22, 220, 47, 198,
    47, 47, 220, 174, 23, 47, 24, 174, 174, 174,
    -49, 174, 174, 25, -49, 26, 204, 224, 214, 28,
    174, 174, -49, 124, 47, 29, 47, 153, 174, 31,
    47, 32, 174, 174, 174, 174, -49, 139, 47, 33,
    30, -49, 149, -49, -49, 112, 205, -49, 15, -49,
    -49, -49, -49, 16, -49, 111, -49, -49, -29, -4,
    -49, 14, -49, -49, 34, -49, 35, 17, 36, 37,
    38, -49, 40, 39, -49, 41, 42, -49, 43, 46,
    44, 83, 48, 45, 52, 53, -49, -49, -49, -49,
    -49, 55, 159, 49, 50, 51, -49, 54, -49, 58,
    57, -49, 59, -49, 60, -49, 63, 66, 56, -49,
    -49, 61, 64, -49, 62, 71, -49, 129, -49, -49,
    84, -49, -49, 85, -49, 86, -49, 87, -49, 89,
    -49, 92, -49, 93, -49, 65, -49, 95, -49, 96,
    -49, 97, -49, 27, -49, 98, -49, 99, -49, 103,
    104, -49, 72, -49, 1, -49, 73, -49, 70, -49,
    74, -49, 69, -49, 75, -49, -3, -49, 68, -49,
    76, -49, 77, -49, -6, -49, 78, -49, -7, -49,
    117, 141, 119, 121, 207,

    -123, -123, -123, -123, -85, -123, -123, -44, -123, -123,
    75, -123, -123, -123, -123, -123, -123, 0, 84, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    2, -123, -62, 4, -123, -60, 6, -123, -58, 8,
    -123, -7, 9, -123, -55, 11, -123, -123, 12, -92,
    -123, 13, -123, -123, 15, -123, -123, 16, -123, 17,
    -123, 18, -123, -123, -123, 20, 21, 19, -123, -123,
    -123, 14, 23, 42, 86, -123, 25, -123, 89, 90,
    91, -123, -2, 29, -123, 30, 51, 94, -123, 31,
    -123, 95, 96, 98, 99, -123, -123, -123, -123, 100,
    -123, -123, 37, -123, -123, -46, 38, -123, -123, 39,
    -123, 92, -123, -45, -123, 48, -123, -123, -123, 50,
    -123, -123, -123, 52, -123, -123, -123, 5, 54, -123,
    55, 60, 104, -123, 57, -123, 105, 103, 59, 61,
    41, 64, -123, 65, 77, 113, -123, -31, 66, 69,
    67, 68, 79, 112, -123, 73, -123, 117, 119, 102,
    -123, 120, 111, -42, -123, -123, 72, 82, 115, -123,
    107, 127, -123, 47, 80, -123, 81, 71, 125, -123,
    24, -123, 118, 121, 122, 97, -123, 49, 197, -123,
    -123, -123, -123, -123, -123, -123, 123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, 70,
    -123, -123, -123, -123, 7, -123, -123, -123, 34, 36,
    33, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    -123, -123, 74, -123, -14, 10, -123, -123, -123, -123,
    -123, 26, 93, 27, 28, 22, -123, 32, -123, 35,
    -123, -123, -123, -123, -123, -123, 45, 46, 53, -123,
    -123, -123, -123, -123, -123, -37, -123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, 76,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    -123, -123, -123, -123, -123, -123, -123, -123, -123, -123,
    44, 40, 56, -123, 58
};

const short Table_CooLexerIO::action_info [] = {
    15, 210, 191, 15, 15, 15, 15, 15, 15, 15,
    15, 96, 116, 98, -87, 98, 98, 124, 120, 15,
    15, 15, 15, 15, 15, 15, 210, 15, 98, 15,
    15, 294, 15, 15, 15, 202, 305, 204, 317, 325,
    329, 0, 0, 193, 222, 213, 0, 221, 14, 0,
    0, 0, 201, 224, 0, 227, 120, 202, 239, 237,
    0, 0, 0, 0, 0, 213, 225, 268, 202, 286,
    229, 231, 233, 204, 268, 207, 204, 124, 207, 210,
    210, 251, 213, 202, 253, 213, 255, 204, 26, 272,
    274, 276, 278, 263, 280, 301, 238, 282, 284, 288,
    290, 292, 296, 298, 14, 15, 303, 309, 313, 307,
    319, 14, 311, 47, 15, 315, 14, 15, 14, 321,
    14, 323, 15, 0, 327, 15, 20, 19, 201, 20,
    19, 67, 271, 207, 206, 103, 101, 52, 50, 15,
    15, 200, 15, 52, 50, 67, 67, 15, 67, 15,
    52, 50, 15, 70, 0, 67, 52, 50, 67, 15,
    52, 50, 0, 197, 194, 67, 52, 50, 52, 50,
    52, 50, 52, 50, 52, 50, 52, 50, 20, 19,
    0, 207, 206, 20, 19, 22, 20, 19, 22, 20,
    19, 20, 19, 22, 20, 19, 22, 20, 19, 52,
    50, 22, 20, 19, 22, 20, 19, 22, 20, 19,
    22, 20, 19, 0, 0, 14, 91, 22, 20, 19,
    194, 0, 116, 52, 50, 15, 0, 22, 20, 19,
    1, 0, 216, 0, 200, 10, 9, 8, 11, 12,
    1, 0, 0, 0, 149, 10, 9, 8, 11, 12,
    1, 22, 20, 19, 0, 10, 9, 8, 11, 12,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 14,
    0, 22, 20, 19, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0,

    17, 23, 235, 64, 74, 82, 87, 127, 132, 140,
    173, 178, 187, 53, 54, 56, 55, 24, 58, 60,
    62, 68, 69, 71, 75, 181, 77, 236, 215, 83,
    84, 88, 90, 107, 114, 153, 128, 164, 261, 104,
    108, 110, 242, 246, 240, 331, 249, 245, 247, 250,
    117, 241, 121, 248, 125, 129, 133, 333, 135, 145,
    257, 24, 258, 139, 24, 142, 146, 165, 167, 154,
    259, 332, 141, 166, 156, 24, 0, 300, 174, 334,
    188, 175, 179, 269, 0, 25, 168, 24, 56, 234,
    214, 58, 60, 60, 112, 0, 56, 56, 58, 62,
    58, 60, 60, 0, 160, 60, 56, 58, 74, 58,
    244, 243, 0, 110, 56, 56, 169, 87, 24, 58,
    58, 60, 108, 60, 60, 0, 132, 56, 0, 60,
    0, 0, 0, 0, 218, 220, 0, 178, 0, 0,
    0, 0, 219, 145, 76, 153, 0, 0, 0, 0,
    0, 0, 0, 78, 0, 0, 0, 79, 0, 80,
    81, 92, 93, 0, 99, 89, 94, 186, 95, 100,
    113, 136, 138, 137, 148, 171, 161, 155, 134, 157,
    170, 180, 0, 0, 0, 158, 183, 163, 159, 0,
    184, 185, 182, 0, 0, 162, 172, 0, 189, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0
};

const short Table_CooLexerIO::action_check [] = {
    1, 30, 12, 1, 1, 1, 1, 1, 1, 1,
    1, 30, 17, 3, 3, 3, 3, 19, 18, 1,
    1, 1, 1, 1, 1, 1, 30, 1, 3, 1,
    1, 4, 1, 1, 1, 20, 35, 21, 41, 45,
    47, -1, -1, 13, 27, 31, -1, 12, 1, -1,
    -1, -1, 16, 13, -1, 14, 18, 20, 12, 14,
    -1, -1, -1, -1, -1, 31, 27, 3, 20, 4,
    28, 28, 28, 21, 3, 22, 21, 19, 22, 30,
    30, 24, 31, 20, 25, 31, 26, 21, 0, 5,
    5, 5, 5, 32, 5, 33, 13, 5, 5, 4,
    4, 4, 4, 4, 1, 1, 34, 37, 39, 36,
    42, 1, 38, 6, 1, 40, 1, 1, 1, 43,
    1, 44, 1, -1, 46, 1, 4, 5, 16, 4,
    5, 7, 3, 22, 23, 3, 4, 3, 4, 1,
    1, 29, 1, 3, 4, 7, 7, 1, 7, 1,
    3, 4, 1, 7, -1, 7, 3, 4, 7, 1,
    3, 4, -1, 14, 15, 7, 3, 4, 3, 4,
    3, 4, 3, 4, 3, 4, 3, 4, 4, 5,
    -1, 22, 23, 4, 5, 3, 4, 5, 3, 4,
    5, 4, 5, 3, 4, 5, 3, 4, 5, 3,
    4, 3, 4, 5, 3, 4, 5, 3, 4, 5,
    3, 4, 5, -1, -1, 1, 29, 3, 4, 5,
    15, -1, 17, 3, 4, 1, -1, 3, 4, 5,
    2, -1, 27, -1, 29, 7, 8, 9, 10, 11,
    2, -1, -1, -1, 48, 7, 8, 9, 10, 11,
    2, 3, 4, 5, -1, 7, 8, 9, 10, 11,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, 1,
    -1, 3, 4, 5, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1,

    85, 1, 16, 1, 66, 1, 66, 1, 66, 1,
    1, 66, 1, 1, 106, 2, 1, 3, 2, 2,
    2, 1, 1, 4, 1, 1, 1, 17, 21, 31,
    1, 1, 1, 79, 79, 66, 31, 79, 82, 2,
    2, 2, 16, 21, 10, 1, 13, 20, 20, 14,
    2, 15, 2, 21, 2, 1, 1, 1, 1, 66,
    15, 3, 16, 4, 3, 1, 1, 1, 1, 1,
    17, 31, 31, 4, 1, 3, -1, 1, 31, 4,
    31, 1, 1, 120, -1, 1, 4, 3, 2, 15,
    20, 2, 2, 2, 2, -1, 2, 2, 2, 2,
    2, 2, 2, -1, 2, 2, 2, 2, 66, 2,
    17, 18, -1, 2, 2, 2, 1, 66, 3, 2,
    2, 2, 2, 2, 2, -1, 66, 2, -1, 2,
    -1, -1, -1, -1, 11, 12, -1, 66, -1, -1,
    -1, -1, 19, 66, 102, 66, -1, -1, -1, -1,
    -1, -1, -1, 67, -1, -1, -1, 68, -1, 69,
    69, 67, 67, -1, 68, 114, 68, 70, 69, 69,
    78, 67, 69, 68, 97, 68, 74, 98, 118, 67,
    67, 110, -1, -1, -1, 68, 68, 76, 69, -1,
    69, 69, 67, -1, -1, 75, 69, -1, 1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
};

